package com.steerinfo.ems.tcm0316.service.impl;


import com.steerinfo.ems.tcm0316.mapper.TCm0316Mapper;
import com.steerinfo.ems.tcm0316.model.TCm0316;
import com.steerinfo.ems.tcm0316.service.ITCm0316Service;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


@Service(value = "tCm0316Service")
public class TCm0316ServiceImpl extends BaseServiceImpl<TCm0316, String> implements ITCm0316Service {

    @Autowired
    private TCm0316Mapper tCm0316Mapper;

    @Override
    protected IBaseMapper<TCm0316, String> getMapper() {
        return tCm0316Mapper;
    }

    public List<TCm0316> getNameAndId(){
        List<TCm0316> rows = tCm0316Mapper.getNameAndId();
        return rows;
    }

}
